## org.biojavax.bio.seq.io
Class EMBLFormat.Terms

    java.lang.Object
      org.biojavax.bio.seq.RichSequence.Terms
          org.biojavax.bio.seq.io.EMBLFormat.Terms

Enclosing class:
  EMBLFormat

    public static class EMBLFormat.Terms

extends RichSequence.Terms

Implements some EMBL-specific terms.

Field Summary

Fields inherited from class org.biojavax.bio.seq.RichSequence.Terms
`DOI_KEY, MEDLINE_KEY, PLASMID_KEY, PUBMED_KEY, SPECIES_KEY, STRAIN_KEY, TISSUE_KEY, TRANSPOSON_KEY`

Constructor Summary
`EMBLFormat.Terms()`

Method Summary
`static ComparableTerm` `getDataClassTerm()` Getter for the Ensembl-specific 'dataClass' term
`static ComparableTerm` `getEMBLTerm()` Getter for the EMBL term
`static ComparableTerm` `getGenomicTerm()` Getter for the Ensembl-specific 'genomic' term
`static ComparableTerm` `getRelUpdatedRecordVersionTerm()` Getter for the RelUpdatedRecordVersion term
`static ComparableTerm` `getVersionLineTerm()` Getter for the Ensembl-specific 'versionLine' term

Methods inherited from class org.biojavax.bio.seq.RichSequence.Terms

`getAdditionalAccessionTerm, getCopyrightTerm, getDateAnnotatedTerm, getDateCreatedTerm, getDateUpdatedTerm, getFeatureDescTerm, getFTIdTerm, getGeneNameTerm, getGeneSynonymTerm, getKeywordTerm, getMolTypeTerm, getOrderedLocusNameTerm, getORFNameTerm, getOrganelleTerm, getPlasmidTerm, getRelAnnotatedTerm, getRelCreatedTerm, getRelUpdatedTerm, getSpeciesTerm, getStrainTerm, getStrandedTerm, getTissueTerm, getTransposonTerm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMBLFormat.Terms

    public EMBLFormat.Terms()

Method Detail

### getRelUpdatedRecordVersionTerm

    public static ComparableTerm getRelUpdatedRecordVersionTerm()

  Getter for the RelUpdatedRecordVersion term

  Returns:
    The RelUpdatedRecordVersion Term

### getEMBLTerm

    public static ComparableTerm getEMBLTerm()

  Getter for the EMBL term

  Returns:
    The EMBL Term

### getGenomicTerm

    public static ComparableTerm getGenomicTerm()

  Getter for the Ensembl-specific 'genomic' term

  Returns:
    The genomic Term

### getVersionLineTerm

    public static ComparableTerm getVersionLineTerm()

  Getter for the Ensembl-specific 'versionLine' term

  Returns:
    The version line Term

### getDataClassTerm

    public static ComparableTerm getDataClassTerm()

  Getter for the Ensembl-specific 'dataClass' term

  Returns:
    The data class Term